Bug 470313 - Missing symbol: qpid::sys::AbsTime::FarFuture() on RHEL 4
Missing symbol: qpid::sys::AbsTime::FarFuture() on RHEL 4
Status: CLOSED NOTABUG
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.0
All Linux
low Severity medium
: 1.1
: ---
Assigned To: Matthew Farrellee
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-06 12:00 EST by Matthew Farrellee
Modified: 2011-08-12 12:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-13 09:16:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Farrellee 2008-11-06 12:00:24 EST
condor-7.1.4-0.2.el4
qpidc-0.3.708576-3.el4

Loading the negotiator's plugin fails with:

   undefined symbol: qpid::sys::AbsTime::FarFuture()

[root@north-08 ~]# ldd /usr/libexec/condor/MgmtNegotiatorPlugin-plugin.so 
ldd: warning: you do not have execution permission for `/usr/libexec/condor/MgmtNegotiatorPlugin-plugin.so'
        libqpidcommon.so.0 => /usr/lib64/libqpidcommon.so.0 (0x0000002a95676000)
        libqpidclient.so.0 => /usr/lib64/libqpidclient.so.0 (0x0000002a959fa000)
        libqmfagent.so.0 => /usr/lib64/libqmfagent.so.0 (0x0000002a95c05000)
        libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x0000002a95d2b000)
        libm.so.6 => /lib64/tls/libm.so.6 (0x0000002a95f1c000)
        libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x0000002a960a2000)
        libc.so.6 => /lib64/tls/libc.so.6 (0x0000002a961af000)
        libboost_program_options.so.1 => /usr/lib64/libboost_program_options.so.1 (0x0000002a963e9000)
        libboost_filesystem.so.1 => /usr/lib64/libboost_filesystem.so.1 (0x0000002a96529000)
        libuuid.so.1 => /lib64/libuuid.so.1 (0x0000002a9663a000)
        libdl.so.2 => /lib64/libdl.so.2 (0x0000002a9673e000)
        librt.so.1 => /lib64/tls/librt.so.1 (0x0000002a96841000)
        libboost_thread.so.1 => /usr/lib64/libboost_thread.so.1 (0x0000002a9695b000)
        /lib64/ld-linux-x86-64.so.2 (0x000000552aaaa000)
        libpthread.so.0 => /lib64/tls/libpthread.so.0 (0x0000002a96a7e000)

Is it possible that the AbsTime::FarFuture isn't exported for some reason?
Comment 1 Matthew Farrellee 2008-11-06 12:03:19 EST
This appears to be resolved by upgrading to qpidc-0.3.709187-4.el4
Comment 2 Gordon Sim 2008-11-13 08:57:47 EST
Matt, if you are happy this has been resolved, can we close it?
Comment 3 Matthew Farrellee 2008-11-13 09:04:05 EST
Certainly, as far as I can tell it is fixed.
Comment 4 Gordon Sim 2008-11-13 09:16:04 EST
Assumed to be a temporray blip in build for that revisions; closing as I believe there is no need for QE to verify this separately.

Note You need to log in before you can comment on or make changes to this bug.